﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace CarFire
{
    public interface ICharacter : IEntity
    {
        int Health { get; }
        void causeDamageTo(int amount);
    }

    public interface IPlayer : ICharacter
    {
        void UpdateInput(TimeSpan timeSpan, List<Keys> keysPressed);
        int Score { get; }
        void powerUp(int amount);
        void Spawn(Vector2 spawn);
        bool alive { get; }
        void Attack();
        void UpdatePosition(TimeSpan timeSpan, List<Keys> keysPressed);
        
    }

    public interface IMonster : ICharacter
    {
        void DefaultAction();
        void Chasing(Point Chase);
        void StartPacing();
        bool visible { get; }
    }
}
